class Supplier {
    SupplierType supplierType
    String name
    String description = ""
    boolean isActive = true

    static hasMany = [contacts: Contact,
                                    addresses: Address,
                                    inventoryItems: InventoryItem]

    static belongsTo = [InventoryItem]

    static constraints = {
        name(maxSize:50,unique:true,blank:false)
        description(maxSize:100)
    }

    String toString() {
        "${this.name}"
    }
}
